## symfony 2.8.7+dfsg

=== debian/changelog ===
symfony (2.8.7+dfsg-1.3+deb9u3) stretch-security; urgency=medium

  * Backport security fixes from 2.8.52
    - [HttpKernel] Use constant time comparison in UriSigner [CVE-2019-18887]
    - [HttpFoundation] fix guessing mime-types of files with leading dash
      [CVE-2019-18888]

 -- David Prévot <taffit@debian.org>  Wed, 13 Nov 2019 09:36:36 -1000

symfony (2.8.7+dfsg-1.3+deb9u2) stretch-security; urgency=medium

  * Cherry-pick upstream commits to fix security issues
    - [HttpFoundation] Remove support for legacy and risky HTTP headers
      [CVE-2018-14773]
    - [Form] Filter file uploads out of regular form types [CVE-2018-19789]
    - [Security\Http] detect bad redirect targets using backslashes
      [CVE-2018-19790]
    - [FrameworkBundle][Form] Fix XSS issues in the form theme of the PHP
      templating engine [CVE-2019-10909]
    - [DI] Check service IDs are valid [CVE-2019-10910]
    - [Security] Add a separator in the remember me cookie hash [CVE-2019-10911]
    - [PHPUnit Bridge] Prevent destructors with side-effects from being
      unserialized [CVE-2019-10912]
    - [HttpFoundation] fixed using _method parameter with invalid type
    - [HttpFoundation] reject invalid method override [CVE-2019-10913]

 -- David Prévot <taffit@debian.org>  Sat, 04 May 2019 11:08:53 -1000

symfony (2.8.7+dfsg-1.3+deb9u1) stretch-security; urgency=medium

  * Use gbp pq to handle patches introduced in NMU
  * Cherry-pick upstream commits to fix security issues
    - [Security] Validate redirect targets using the session cookie domain
      [CVE-2017-16652]
    - [Security] Namespace generated CSRF tokens depending of the current
      scheme [CVE-2017-16653]
    - prevent bundle readers from breaking out of paths [CVE-2017-16654]
    - [Form][DX] FileType "multiple" fixes
    - ensure that submitted data are uploaded files [CVE-2017-16790]
    - Adding session strategy to ALL listeners to avoid *any* possible
      fixation [CVE-2018-11385]
    - Adding session authentication strategy to Guard to avoid session
      fixation [CVE-2018-11385]
    - [HttpFoundation] Break infinite loop in PdoSessionHandler when MySQL
      is in loose mode [CVE-2018-11386]
    - [Security] Fix logout
    - do not mock the session in token storage tests
    - clear CSRF tokens when the user is logged out [CVE-2018-11406]
    - [Ldap] cast to string when checking empty passwords [CVE-2016-2403]
    - [SecurityBundle] Fail if security.http_utils cannot be configured
      [CVE-2018-11408]

 -- David Prévot <taffit@debian.org>  Wed, 25 Jul 2018 15:22:39 +0800

symfony (2.8.7+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport additional upstream patches needed after PHP 7.0.18 upload
    (Closes: #863493):
    - [VarDumper] Relax tests to adapt for php 7.1rc4
    - [VarDumper] Relax line number for CliDumperTest

 -- James Clarke <jrtc27@debian.org>  Sat, 27 May 2017 20:39:09 +0100

symfony (2.8.7+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport additional upstream patches needed to fix FTBFS:
    -  Update IpValidatorTest data set with a valid reserved IP
    -  Relax 1 test failing with latest PHP versions

 -- James Clarke <jrtc27@debian.org>  Sun, 29 Jan 2017 16:05:28 +0000

symfony (2.8.7+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix PHP 7.0/7.1 related failures (Closes: #832858)
  * Do not depend on a fixed date in layout tests (fixes FTBFS in 2017 and
    beyond)

 -- James Clarke <jrtc27@debian.org>  Sun, 29 Jan 2017 13:54:28 +0000

symfony (2.8.7+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 2.8.7

  [ Nicolas Grekas ]
  * [PropertyAccess] Fix for PHP 7.0.7

 -- David Prévot <taffit@debian.org>  Tue, 07 Jun 2016 20:52:05 -0400

symfony (2.8.6+dfsg-1) unstable; urgency=high

  [ Fabien Potencier ]
  * bumped Symfony version to 2.8.6
  * limited the maximum length of a submitted username [CVE-2016-4423]

  [ Charles Sarrazin ]
  * Fixed issue with blank password with Ldap [CVE-2016-2403]

  [ David Prévot ]
  * Build-depend on php-apcu-bc to pass more tests

 -- Daniel Beyer <dabe@deb.ymc.ch>  Tue, 10 May 2016 22:59:00 +0200

symfony (2.8.5+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * bumped Symfony version to 2.8.5

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Tue, 03 May 2016 14:53:50 -0400

symfony (2.8.4+dfsg-2) unstable; urgency=medium

  [ David Prévot ]
  * Drop require-dev from homemade static autoload.php
  * Drop tests directory from homemade static autoload
  * Drop patch to workaround “OR-ed versions are not supported”
  * Keep tracking LTS version 2.8
  * Install Security changelog in sub-components
  * Update copyright

  [ Ondřej Surý ]
  * Get rid of php5-symfony-debug binary extension that has
    been deprecated for PHP 7.0 (Closes: #821559)

 -- Daniel Beyer <dabe@deb.ymc.ch>  Fri, 22 Apr 2016 14:10:26 +0200

symfony (2.8.4+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * bumped Symfony version to 2.8.4

  [ Daniel Beyer ]
  * Drop no longer needed patch to remove content from README.md files
    - Remove-content-from-README.md-files.patch

  [ David Prévot ]
  * Drop now useless upstream README
  * Update homemade static autoload.php
  * Depend on php-phpdocumentor-reflection for running more tests
  * Exclude group dns-sensitive

 -- David Prévot <taffit@debian.org>  Thu, 31 Mar 2016 19:25:29 -0400

symfony (2.8.3+dfsg-1) unstable; urgency=medium

  * Upload to unstable since everything should be in place now

  [ Fabien Potencier ]
  * updated VERSION for 2.8.3

  [ David Prévot ]
  * Explicit dependency on php5-common (Closes: #811431)
  * Update homemade static autoload.php
  * PHP 7.0 transition:
    - Drop some now useless php-* build-dependencies
    - Build with recent pkg-php-tools

  [ Daniel Beyer ]
  * Drop patch to fix broken test in VarDumper (no longer needed)

