=== debian/control ===
Source: symfony
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>,
           David Prévot <taffit@debian.org>
Section: php
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               pkg-php-tools (>= 1.14~)
Build-Depends-Indep: dctrl-tools,
                     file,
                     jq,
                     locales-all,
                     parallel,
                     php-apcu-bc,
                     php-doctrine-bundle (>= 1.5),
                     php-doctrine-data-fixtures (>= 1.1.1-2~),
                     php-doctrine-orm (>= 2.4.8),
                     php-email-validator (>= 1.2.8),
                     php-intl,
                     php-ldap,
                     php-mbstring,
                     php-memcache,
                     php-memcached,
                     php-monolog (>= 1.13),
                     php-phpdocumentor-reflection,
                     php-proxy-manager (>= 1.0.2),
                     php-psr-log (>= 1.0.0-2~),
                     php-sqlite3,
                     php-symfony-polyfill-apcu,
                     php-symfony-polyfill-intl-icu,
                     php-symfony-polyfill-mbstring,
                     php-symfony-polyfill-php54,
                     php-symfony-polyfill-php55,
                     php-symfony-polyfill-php56,
                     php-symfony-polyfill-php70,
                     php-symfony-polyfill-util,
                     php-symfony-security-acl,
                     php-twig (>= 1.23),
                     phpab,
                     phpunit (>= 5)
Build-Conflicts: php-mongo
Homepage: https://symfony.com/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/symfony.git
Vcs-Git: git://anonscm.debian.org/pkg-php/symfony.git -b 2.8

Package: php-symfony
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-replace},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Breaks: ${phpcomposer:Debian-conflict}
Provides: ${phpcomposer:Debian-provide}
Description: set of reusable components and framework for web projects
 ${phpcomposer:description} allows one to create websites and web
 applications. It’s a set of tools and a development methodology.
 .
 This package depends on every component. Applications depending on
 Symfony should rather depend on individual components actually needed
 by them.

Package: php-symfony-asset
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/asset/introduction.html
Description: manage asset URLs
 The ${phpcomposer:description} manages URL generation and versioning of
 web assets such as CSS stylesheets, JavaScript files and image files.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-browser-kit
Architecture: all
Depends: php-symfony-dom-crawler (>= 2.4),
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/browser_kit/introduction.html
Description: simulate the behavior of a web browser
 The ${phpcomposer:description} provides only an abstract client.
 It does not provide any "default" backend for the HTTP layer.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-class-loader
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/class_loader/introduction.html
Description: load PHP classes automatically
 The ${phpcomposer:description} makes it possible to automatically
 load PHP classes if they follow some standard PHP conventions such
 as the PSR-0 standard or the PEAR naming convention.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-config
Architecture: all
Depends: php-symfony-filesystem (>= 2.4),
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/config/introduction.html
Description: load configurations from different data sources
 The ${phpcomposer:description} provides the infrastructure for loading
 configurations from different data sources and optionally monitoring
 these for changes. Additional tools for validating, normalizing and
 handling of defaults are provided.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-console
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/console/introduction.html
Description: run tasks from the command line
 The ${phpcomposer:description} can be used to implement recurring
 or long running tasks, such as cronjobs, imports or other batch
 jobs. Additionally it assists the creation of nice looking command
 line interfaces.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-css-selector
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/css_selector.html
Description: convert CSS selectors to XPath expressions
 The ${phpcomposer:description} can be used to convert CSS selectors
 to XPath expressions. It basically is a port of the Python lxml library.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-debug
Architecture: all
Depends: php-psr-log (>= 1.0.0-2~),
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: php-symfony-http-kernel (<< 2.3.24~~),
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/debug/index.html
Description: tools to make debugging of PHP code easier
 The ${phpcomposer:description} contains various tools to assist
 PHP code debugging.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dependency-injection
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/dependency_injection/introduction.html
Description: standardize and centralize construction of objects
 The ${phpcomposer:description} standardizes and centralizes
 the way objects are constructed in an application.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dom-crawler
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/dom_crawler.html
Description: ease DOM navigation for HTML and XML documents
 The ${phpcomposer:description} provides methods to query and
 manipulate HTML and XML documents.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-event-dispatcher
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/event_dispatcher/introduction.html
Description: dispatch events and listen to them
 The ${phpcomposer:description} implements the mediator pattern
 and thus allows individual parts of an application to communicate
 with each other by dispatching events and listening to them.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-expression-language
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/expression_language/introduction.html
Description: compile and evaluate expressions
 The ${phpcomposer:description} provides an engine that can compile
 and evaluate expressions. An expression is a one-liner that returns a value
 (mostly, but not limited to, Booleans).
 .
 By default, the engine implements simple math and logic functions, method
 calls, property accesses, and array accesses.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-filesystem
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/filesystem.html
Description: basic filesystem utilities
 The ${phpcomposer:description} provides basic utilities to work
 with the filesystem, like creating directories, removing files or
 adding symlinks.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-finder
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/finder.html
Description: find files and directories
 The ${phpcomposer:description} provides an intuitive interface to
 find files and directories.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-form
Architecture: all
Depends: php-symfony-event-dispatcher (>= 2.4),
         php-symfony-intl (>= 2.4),
         php-symfony-property-access (>= 2.4),
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict},
        ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/2.8/components/form/introduction.html
Description: create HTML forms and process request data
