## symfony 3.4.3+dfsg

=== debian/changelog ===
symfony (3.4.3+dfsg-1ubuntu2) bionic; urgency=medium

  * Drop: 
    - d/control: do not build twig extension to bootstrap
      php-symfony-phpunit-bridge.
    - d/rules: skip tests temporarily to bootstrap.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 02 Feb 2018 22:50:50 -0800

symfony (3.4.3+dfsg-1ubuntu1) bionic; urgency=medium

  * d/control: do not build twig extension to bootstrap
    php-symfony-phpunit-bridge.
  * d/rules: skip tests temporarily to bootstrap.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 02 Feb 2018 22:13:01 -0800

symfony (3.4.3+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.3

  [ David Prévot ]
  * Update versioned dependencies
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Sat, 06 Jan 2018 15:32:31 +0530

symfony (3.4.2+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.2

  [ David Prévot ]
  * Update homemade autoload.php files for new suggested packages

 -- David Prévot <taffit@debian.org>  Fri, 15 Dec 2017 14:28:24 -1000

symfony (3.4.1+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.1

  [ David Prévot ]
  * Add missing dependency for ci
  * Update Standards-Version to 4.1.2

 -- David Prévot <taffit@debian.org>  Tue, 05 Dec 2017 16:12:52 -1000

symfony (3.4.0+dfsg-1) unstable; urgency=medium

  * Upload stable version to unstable

  [ Fabien Potencier ]
  * updated VERSION for 3.4.0

 -- David Prévot <taffit@debian.org>  Thu, 30 Nov 2017 14:45:36 -1000

symfony (3.4.0~rc2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.0-RC2

  [ David Prévot ]
  * Update versioned dependencies
  * Build-depend on recent phpunit
  * Build-Depend on php-phpdbg for the testsuite

 -- David Prévot <taffit@debian.org>  Sat, 25 Nov 2017 19:52:11 -1000

symfony (3.4.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.0-RC1

  [ David Prévot ]
  * Update dependency overrides
  * Update test patches

 -- David Prévot <taffit@debian.org>  Thu, 23 Nov 2017 11:29:17 -1000

symfony (3.4.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.4.0-BETA1

  [ Jérémy Derussé ]
  * [Lock] Re-add the Lock component in 3.4

  [ David Prévot ]
  * Stick to version 3
  * Update dependencies
  * Update homemade autoload.php files
  * Update Homepage URLs
  * New php-symfony-lock package
  * Update images licenses
  * Drop more tests currently failing

 -- David Prévot <taffit@debian.org>  Sun, 22 Oct 2017 13:55:42 -1000

symfony (3.3.10+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.3.10

  [ David Prévot ]
  * Update Standards-Version to 4.1.1
  * Drop Form test currently failing

 -- David Prévot <taffit@debian.org>  Tue, 10 Oct 2017 22:03:41 -1000

symfony (3.3.9+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.3.9

  [ David Prévot ]
  * Update dependency overrides
  * Update homemade autoload.php files
  * Update source for new binary packages:
    - php-symfony-dotenv
    - php-symfony-web-link
    - php-symfony-workflow
    - php-symfony-web-server-bundle
  * Don’t ship new phpunit wrapper
  * Update components homepage
  * Install (and load) Symfony/Bundle/FullStack.php in php-symfony
  * Handle another way to embed SVG for copyright check
  * Update debian/licensing/image-checksums.dcf
  * Update copyright
  * Add new build-dependencies
  * Ship Test classes
  * Update Standards-Version to 4.1.0
  * Update php-symfony-cache description
  * Adapt phpunit call
  * Add patches to workaround the lack of Composer environment for tests
  * Drop more tests currently failing
  * Drop README.Debian containing advice about using a now deprecated component

 -- David Prévot <taffit@debian.org>  Fri, 22 Sep 2017 17:14:57 -1000

symfony (3.1.1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.1.1

 -- David Prévot <taffit@debian.org>  Fri, 17 Jun 2016 15:11:02 -0400

symfony (3.1.0+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.1.0

 -- David Prévot <taffit@debian.org>  Tue, 31 May 2016 11:52:34 -0400

symfony (3.1.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.1.0-RC1

  [ David Prévot ]
  * Add php-redis to Build-Conflicts since it requires a functional server
    in order to pass the test suite.

 -- David Prévot <taffit@debian.org>  Sun, 29 May 2016 08:18:14 -0400

symfony (3.1.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 3.1.0-BETA1

  [ David Prévot ]
  * Handle pre-releases
  * Adapt dependencies to updated composer.json files
  * Add php-symfony-cache and php-symfony-inflector
  * Update Homepage URLs
  * Update autoload.php for tests
  * Add php-gd as build-dependency to pass more tests
  * Use verbose test mode to get skipped reasons

 -- David Prévot <taffit@debian.org>  Sun, 15 May 2016 16:37:21 -0400

symfony (3.0.6+dfsg-1) experimental; urgency=high

  [ Fabien Potencier ]
  * bumped Symfony version to 3.0.6
  * limited the maximum length of a submitted username [CVE-2016-4423]

  [ Charles Sarrazin ]
  * Fixed issue with blank password with Ldap [CVE-2016-2403]

  [ David Prévot ]
  * Build-depend on php-apcu-bc to pass more tests

 -- David Prévot <taffit@debian.org>  Wed, 11 May 2016 10:47:34 -0400

symfony (3.0.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * bumped Symfony version to 3.0.5

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Tue, 03 May 2016 15:10:45 -0400

symfony (3.0.4+dfsg-2) experimental; urgency=medium

  * Get rid of php5-symfony-debug binary extension that has been
    deprecated for PHP 7.0

 -- Ondřej Surý <ondrej@debian.org>  Fri, 15 Apr 2016 16:44:02 +0200


