=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,6 @@
 	   elif [ -e debian/$$deb_pkg_name.autoload.php.tpl ]; then \
 	    phpab --output $$src_path/autoload.php \
 		--blacklist '*\\tests\\*' \
-		--blacklist '*\\test\\*' \
 		--whitelist 'symfony\\*' \
 		--tolerant \
 		--template debian/$$deb_pkg_name.autoload.php.tpl \
@@ -51,7 +50,6 @@
 	   else \
 	    phpab --output $$src_path/autoload.php \
 		--blacklist '*\\tests\\*' \
-		--blacklist '*\\test\\*' \
 		--whitelist 'symfony\\*' \
 		--template debian/default.autoload.php.tpl \
 		$$src_path; \
@@ -69,12 +67,16 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ln -s ./src/Symfony ./Symfony
-	mkdir --parents vendor
-	ln -s ../debian/autoload.build.php ./vendor/autoload.php
-	# Actual tests suite
-	components=$$(find src/Symfony -mindepth 3 -type f -name phpunit.xml.dist -printf '%h\n') && \
-	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; phpunit --colors=always --exclude-group online,network,tty,benchmark,intl-data,dns-sensitive {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
+ 	ln -s ./src/Symfony ./Symfony
+ 	mkdir --parents vendor
+ 	cp debian/autoload.php src/Symfony
+ 	phpab	--output vendor/autoload.php \
+ 		--whitelist '*\\tests\\*' \
+ 		--template debian/autoload.php.tests.tpl \
+ 		Symfony
+ 	# Actual tests suite
+ 	components=$$(find src/Symfony -mindepth 3 -type f -name phpunit.xml.dist -printf '%h\n') && \
+ 	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; phpunit -v --colors=always --exclude-group network,tty,benchmark,intl-data,functional,composer {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 else
 	@echo "** tests disabled"
 endif
@@ -103,8 +105,7 @@
 	  if [ $$deb_pkg_name = php-symfony-security ]; then \
 	   dh_install \
 		--package=$$deb_pkg_name \
-		$$src_path/*.php \
-		$$src_path/Resources \
+		$$src_path/autoload.php \
 		usr/share/php/Symfony/$$pkg_path/; \
 	  else \
 	   dh_install \
@@ -113,18 +114,15 @@
 		-Xcomposer.json \
 		-XConsole/Resources \
 		-XDebug/Resources \
-		-XDoctrine/Test \
-		-XForm/Test \
-		-XFrameworkBundle/Test \
-		-XVarDumper/Test \
 		-XLICENSE \
 		-XResources/meta \
+		-XResources/bin \
 		-Xphpunit.xml.dist \
-		-XResources/bin \
-		-XTests \
 		--package=$$deb_pkg_name \
 		$$src_path/* \
 		usr/share/php/Symfony/$$pkg_path/; \
+	   find debian/$$deb_pkg_name -name bin -type d -print | xargs /bin/rm -rf; \
+	   find debian/$$deb_pkg_name -name Tests -type d -print | xargs /bin/rm -rf; \
 	  fi; \
 	 done
 
@@ -137,9 +135,6 @@
 	set -e; \
 	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
 	  . $$package_info_file; \
-	  dh_installdocs \
-	   --package=$$deb_pkg_name \
-	   debian/README.Debian; \
 	 done
 
 override_dh_installchangelogs:
